> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://support.atomicwork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://support.atomicwork.com/_mcp/server.

# Asset List with views, and filters.

POST https://{tenant}.atomicwork.com/api/v1/assets/list
Content-Type: application/json

### Filtering

The request body is an **array of filter objects**. Send an empty array (`[]`) to retrieve all records.

Each filter object has the following fields:

| Field       | Type   | Description                                             |
| ----------- | ------ | ------------------------------------------------------- |
| `attribute` | string | The field to filter on (see Supported attributes below) |
| `operator`  | string | Comparison operator (see Available operators below)     |
| `values`    | array  | One or more `{ "value": <scalar> }` objects             |

**Supported attributes**

| Attribute        | Typical operator | Description                                           |
| ---------------- | ---------------- | ----------------------------------------------------- |
| `status`         | `IS_ANY_OF`      | Asset status (e.g. `IN_USE`, `AVAILABLE`, `RETIRED`). |
| `type_id`        | `IS_ANY_OF`      | Asset type ID.                                        |
| `assigned_to_id` | `IS_ANY_OF`      | User ID the asset is assigned to.                     |

**Available operators**

| Operator                             | Meaning                                                   |
| ------------------------------------ | --------------------------------------------------------- |
| `EQUALS`                             | Exact match                                               |
| `NOT_EQUALS`                         | Exclude exact match                                       |
| `IN` / `IS_ANY_OF`                   | Match any value in the list                               |
| `IS_NOT_ANY_OF`                      | Exclude all listed values                                 |
| `IS_BETWEEN`                         | Inclusive range — pass exactly two values: `[start, end]` |
| `IS_ON_OR_BEFORE` / `IS_ON_OR_AFTER` | Date/time boundary comparisons                            |
| `CONTAINS` / `TEXT_CONTAINS`         | Substring or set membership                               |
| `IS_NULL` / `IS_NOT_NULL`            | Null checks — `values` array can be empty                 |
| `STARTS_WITH` / `ENDS_WITH`          | String prefix/suffix match                                |

**Example**

```json
[
  {
    "attribute": "status",
    "operator": "IS_ANY_OF",
    "values": [
      {
        "value": "IN_USE"
      },
      {
        "value": "AVAILABLE"
      }
    ]
  }
]
```

Reference: https://support.atomicwork.com/api-reference/atomicwork-public-api/assets/postapi-v-1-assets-list

## Authentication

- `X-Api-Key` header (required) — API Key authentication via header

## Request

### Query parameters

- `sort_order` (enum, optional)
  - Allowed values: `CREATED_AT_DESC`, `CREATED_AT_ASC`, `UPDATED_AT_DESC`, `NAME_ASC`, `NAME_DESC`
- `sort` (string, optional) — Generic multi-column sort, comma-separated `field:DIRECTION` (e.g. `display_name:ASC,created_at:DESC`). Sortable fields are those advertised with `sortable: true` by the asset fields endpoint. Takes precedence over `sort_order`. Invalid/unknown fields -> 400.
- `page` (integer, required, default: 1)
- `per_page` (integer, optional, default: 25)

### Headers

- `X-Workspace-Id` (string, optional)

### Body (application/json)

This endpoint expects a list of ApiV1AssetsListPostRequestBodyContentApplicationJsonSchemaItems.

- `list of ApiV1AssetsListPostRequestBodyContentApplicationJsonSchemaItems`

## Response

### 200

Successful response

## Types

### ApiV1AssetsListPostRequestBodyContentApplicationJsonSchemaItems

- `attribute` (string, optional)
- `operator` (enum, optional)
  - Allowed values: `EQUALS`, `NOT_EQUALS`, `CONTAINS`, `NOT_CONTAINS`, `IN`, `NOT_IN`, `GREATER_THAN`, `LESS_THAN`, `GREATER_THAN_EQUALS`, `LESS_THAN_EQUALS`, `IS_BETWEEN`, `IS_NULL`, `IS_NOT_NULL`, `STARTS_WITH`, `ENDS_WITH`, `TEXT_CONTAINS`, `TEXT_DOES_NOT_CONTAINS`, `IS_ANY_OF`, `IS_NOT_ANY_OF`, `IS_EXACTLY`, `IS_ON_OR_BEFORE`, `IS_ON_OR_AFTER`, `IS_WITHIN`
- `values` (list of ApiV1AssetsListPostRequestBodyContentApplicationJsonSchemaItemsValuesItems, optional)

### ApiV1AssetsListPostRequestBodyContentApplicationJsonSchemaItemsValuesItems

- `value` (ApiV1AssetsListPostRequestBodyContentApplicationJsonSchemaItemsValuesItemsValue, optional) — A bare scalar - number, string or boolean - never a JSON object or array. For relationship, entity-reference, or dropdown attributes pass the numeric option or entity id (e.g. 4009, not \{"id": 4009}).
- `nested_filter` (any, optional)

### ApiV1AssetsListPostRequestBodyContentApplicationJsonSchemaItemsValuesItemsValue

A bare scalar - number, string or boolean - never a JSON object or array. For relationship, entity-reference, or dropdown attributes pass the numeric option or entity id (e.g. 4009, not \{"id": 4009}).

## Examples

**Request**

```json
[
  {
    "attribute": "status",
    "operator": "IS_ANY_OF",
    "values": [
      {
        "value": "IN_USE"
      },
      {
        "value": "AVAILABLE"
      }
    ]
  }
]
```

**Response**

```json
{}
```

**SDK Code**

```python Assets_postapi_v1_assets_list_example
import requests

url = "https://{tenant}.atomicwork.com/api/v1/assets/list"

querystring = {"page":"1","sort_order":"CREATED_AT_DESC"}

payload = [
    {
        "attribute": "status",
        "operator": "IS_ANY_OF",
        "values": [{ "value": "IN_USE" }, { "value": "AVAILABLE" }]
    }
]
headers = {
    "X-Workspace-Id": "{{workspace_id}}",
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Assets_postapi_v1_assets_list_example
const url = 'https://{tenant}.atomicwork.com/api/v1/assets/list?page=1&sort_order=CREATED_AT_DESC';
const options = {
  method: 'POST',
  headers: {
    'X-Workspace-Id': '{{workspace_id}}',
    'X-Api-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '[{"attribute":"status","operator":"IS_ANY_OF","values":[{"value":"IN_USE"},{"value":"AVAILABLE"}]}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Assets_postapi_v1_assets_list_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/assets/list?page=1&sort_order=CREATED_AT_DESC"

	payload := strings.NewReader("[\n  {\n    \"attribute\": \"status\",\n    \"operator\": \"IS_ANY_OF\",\n    \"values\": [\n      {\n        \"value\": \"IN_USE\"\n      },\n      {\n        \"value\": \"AVAILABLE\"\n      }\n    ]\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Workspace-Id", "{{workspace_id}}")
	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Assets_postapi_v1_assets_list_example
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/assets/list?page=1&sort_order=CREATED_AT_DESC")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '{{workspace_id}}'
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"attribute\": \"status\",\n    \"operator\": \"IS_ANY_OF\",\n    \"values\": [\n      {\n        \"value\": \"IN_USE\"\n      },\n      {\n        \"value\": \"AVAILABLE\"\n      }\n    ]\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java Assets_postapi_v1_assets_list_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://{tenant}.atomicwork.com/api/v1/assets/list?page=1&sort_order=CREATED_AT_DESC")
  .header("X-Workspace-Id", "{{workspace_id}}")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"attribute\": \"status\",\n    \"operator\": \"IS_ANY_OF\",\n    \"values\": [\n      {\n        \"value\": \"IN_USE\"\n      },\n      {\n        \"value\": \"AVAILABLE\"\n      }\n    ]\n  }\n]")
  .asString();
```

```php Assets_postapi_v1_assets_list_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://{tenant}.atomicwork.com/api/v1/assets/list?page=1&sort_order=CREATED_AT_DESC', [
  'body' => '[
  {
    "attribute": "status",
    "operator": "IS_ANY_OF",
    "values": [
      {
        "value": "IN_USE"
      },
      {
        "value": "AVAILABLE"
      }
    ]
  }
]',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '{{workspace_id}}',
  ],
]);

echo $response->getBody();
```

```csharp Assets_postapi_v1_assets_list_example
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/assets/list?page=1&sort_order=CREATED_AT_DESC");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Workspace-Id", "{{workspace_id}}");
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"attribute\": \"status\",\n    \"operator\": \"IS_ANY_OF\",\n    \"values\": [\n      {\n        \"value\": \"IN_USE\"\n      },\n      {\n        \"value\": \"AVAILABLE\"\n      }\n    ]\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Assets_postapi_v1_assets_list_example
import Foundation

let headers = [
  "X-Workspace-Id": "{{workspace_id}}",
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "attribute": "status",
    "operator": "IS_ANY_OF",
    "values": [["value": "IN_USE"], ["value": "AVAILABLE"]]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/assets/list?page=1&sort_order=CREATED_AT_DESC")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```